Get domain stats
Get time-series stats data about opportunities and views for a domain name.
sso-keyAuthorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
domain*stringAn aname is a DNS domain name using only LDH characters (lower-case ASCII
letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case
of an internationalized domain name (IDN).
Examples:
example.orgxn--exmple-cua.de
Invalid Examples:
PartialCapExample.com- mixed case, should be lowercased
exämple.de- this is an IDN and should be IDNA-encoded
^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$anamecustomerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$"my"startDate?stringThe DateTime representing the start date for your time series data. This date will be included. Date in UTC. Default startDate of 30 days before time of request if days is not specified, otherwise startDate will be set to days before time of request.
date-timedays?integerThe duration of the range. The result will include at most this many days. Cannot be more than 366 days.
1 <= value <= 36630X-Request-Id?stringA unique identifier for the request
The requested domain stats.
application/json- response
stats?array<>curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/stats/string?startDate=2024-01-01T00%3A00%3A00Z'{ "stats": [ { "date": "2025-01-01T00:00:00Z", "leads": 5, "views": 25 } ]}